<?php if ( (!defined('ABS_PATH')) ) exit('ABS_PATH is not loaded. Direct access is not allowed.'); ?>
<?php if ( !OC_ADMIN ) exit('User access is not allowed.'); ?>
<link rel="stylesheet" type="text/css" href="<?php echo osc_current_web_theme_url('admin/realos_admin.css'); ?>">
<script src="http://maps.googleapis.com/maps/api/js?sensor=false&amp;libraries=places&key=<?php echo osc_get_preference('maps_key', 'google_maps'); ?>"></script>
<script src="http://ubilabs.github.io/geocomplete/jquery.geocomplete.js"></script>

<h2 class="render-title"><?php _e('Theme settings', 'realos'); ?></h2>
<form action="<?php echo osc_admin_render_theme_url('oc-content/themes/realos/admin/settings.php'); ?>" method="post" class="nocsrf">
    <input type="hidden" name="action_specific" value="settings" />
    <fieldset>
        <h3><?php _e('General', 'realos'); ?></h3>
        <div class="form-horizontal">
            <div class="form-row">
                <div class="form-label"><?php _e('Search placeholder', 'realos'); ?></div>
                <div class="form-controls"><input type="text" class="xlarge" name="keyword_placeholder" value="<?php echo osc_esc_html( osc_get_preference('keyword_placeholder', 'realos') ); ?>"></div>
            </div>
            <div class="form-row">
                <div class="form-label"><?php _e('Show lists as:', 'realos'); ?></div>
                <div class="form-controls">
                    <select name="defaultShowAs@all">
                        <option value="gallery" <?php if(realos_default_show_as() == 'gallery'){ echo 'selected="selected"' ; } ?>><?php _e('Gallery','realos'); ?></option>
                        <option value="list" <?php if(realos_default_show_as() == 'list'){ echo 'selected="selected"' ; } ?>><?php _e('List','realos'); ?></option>
                    </select>
                </div>
            </div>
            <div class="form-row">
                <div class="form-label"><?php _e('Show location input as:', 'realos'); ?></div>
                <div class="form-controls">
                    <select name="defaultLocationShowAs">
                        <option value="dropdown" <?php if(realos_default_location_show_as() == 'dropdown'){ echo 'selected="selected"' ; } ?>><?php _e('Dropdown','realos'); ?></option>
                        <option value="autocomplete" <?php if(realos_default_location_show_as() == 'autocomplete'){ echo 'selected="selected"' ; } ?>><?php _e('Autocomplete','realos'); ?></option>
                    </select>
                </div>
            </div>

            <h3><?php _e('Category icons', 'realos'); ?></h3>
            <?php echo category_icons();?>

            <h3><?php _e('Social network', 'realos'); ?></h3>
            <div class="form-row">
                <div class="form-label"><?php _e('Facebook page URL', 'realos'); ?></div>
                <div class="form-controls"><input type="text" class="xlarge" name="facebook_link" value="<?php echo osc_esc_html( osc_get_preference('facebook_link', 'realos') ); ?>"></div>
            </div>
            <div class="form-row">
                <div class="form-label"><?php _e('Twitter page URL', 'realos'); ?></div>
                <div class="form-controls"><input type="text" class="xlarge" name="twitter_link" value="<?php echo osc_esc_html( osc_get_preference('twitter_link', 'realos') ); ?>"></div>
            </div>
            <div class="form-row">
                <div class="form-label"><?php _e('Google+ page URL', 'realos'); ?></div>
                <div class="form-controls"><input type="text" class="xlarge" name="google_plus_link" value="<?php echo osc_esc_html( osc_get_preference('google_plus_link', 'realos') ); ?>"></div>
            </div>
            <div class="form-row">
                <div class="form-label"><?php _e('Youtube channel URL', 'realos'); ?></div>
                <div class="form-controls"><input type="text" class="xlarge" name="youtube_link" value="<?php echo osc_esc_html( osc_get_preference('youtube_link', 'realos') ); ?>"></div>
            </div>
            <div class="form-row">
                <div class="form-label"><?php _e('Pinterest URL', 'realos'); ?></div>
                <div class="form-controls"><input type="text" class="xlarge" name="pinterest_link" value="<?php echo osc_esc_html( osc_get_preference('pinterest_link', 'realos') ); ?>"></div>
            </div>

            <h3><?php _e('Contact', 'realos'); ?></h3>
            <div class="form-row">
                <div class="form-label"><?php _e('Address', 'realos'); ?></div>
                <div class="form-controls">
                    <textarea name="contact-address"><?php echo osc_esc_html( osc_get_preference('contact-address', 'realos') ); ?></textarea>
                    <div class="help-box"><?php _e('Address to display at Contact page', 'realos'); ?></div>
                </div>
            </div>

            <div class="form-row">
                <div class="form-label"><?php _e('Address Map', 'realos'); ?></div>
                <div class="form-controls">
                    <input type="text" id="geocomplete" name="address-map" value="<?php echo osc_esc_html(osc_get_preference('address-map', 'realos')); ?>">
                    <div class="map_canvas"></div>
                    <div class="help-box"><?php _e('Address map to display at Contact page', 'realos'); ?></div>
                </div>
            </div>

            <h3><?php _e('Footer', 'realos'); ?></h3>
            <div class="form-row">
                <div class="form-label"><?php _e('Widget 1', 'realos'); ?></div>
                <div class="form-controls">
                    <textarea name="footer-widget-1"><?php echo osc_esc_html( osc_get_preference('footer-widget-1', 'realos') ); ?></textarea>
                    <div class="help-box"><?php _e('Footer Widget', 'realos'); ?> 1</div>
                </div>
            </div>
            <div class="form-row">
                <div class="form-label"><?php _e('Widget 2', 'realos'); ?></div>
                <div class="form-controls">
                    <textarea name="footer-widget-2"><?php echo osc_esc_html( osc_get_preference('footer-widget-2', 'realos') ); ?></textarea>
                    <div class="help-box"><?php _e('Footer Widget', 'realos'); ?> 2</div>
                </div>
            </div>
            <div class="form-row">
                <div class="form-label"><?php _e('Author link', 'realos'); ?></div>
                <div class="form-controls">
                    <div class="form-label-checkbox"><input type="checkbox" name="author_link" value="1" <?php echo (osc_get_preference('author_link', 'realos') ? 'checked' : ''); ?> > <?php _e('Enable link of Theme developer website', 'realos'); ?></div>
                </div>
            </div>
            <div class="form-row">
                <div class="form-label"><?php _e('Footer link', 'realos'); ?></div>
                <div class="form-controls">
                    <div class="form-label-checkbox"><input type="checkbox" name="footer_link" value="1" <?php echo (osc_get_preference('footer_link', 'realos') ? 'checked' : ''); ?> > <?php _e('Enable link to Osclass', 'realos'); ?></div>
                </div>
            </div>
        </div>
    </fieldset>

    <h2 class="render-title"><?php _e('Ads management', 'realos'); ?></h2>
    <fieldset>
        <div class="form-horizontal">
            <div class="form-row">
                <div class="form-label"><?php _e('Header 728x90', 'realos'); ?></div>
                <div class="form-controls">
                    <textarea name="header-728x90"><?php echo osc_esc_html( osc_get_preference('header-728x90', 'realos') ); ?></textarea>
                    <div class="help-box"><?php _e('This ad will be shown at the top of your website, next to the site title and above the search results. Note that the size of the ad has to be 728x90 pixels.', 'realos'); ?></div>
                </div>
            </div>
            <div class="form-row">
                <div class="form-label"><?php _e('Homepage 728x90', 'realos'); ?></div>
                <div class="form-controls">
                    <textarea name="homepage-728x90"><?php echo osc_esc_html( osc_get_preference('homepage-728x90', 'realos') ); ?></textarea>
                    <div class="help-box"><?php _e('This ad will be shown on the main site of your website. It will appear both at the top and bottom of your site homepage. Note that the size of the ad has to be 728x90 pixels.', 'realos'); ?></div>
                </div>
            </div>
            <div class="form-row">
                <div class="form-label"><?php _e('Search results 728x90 (top of the page)', 'realos'); ?></div>
                <div class="form-controls">
                    <textarea name="search-results-top-728x90"><?php echo osc_esc_html( osc_get_preference('search-results-top-728x90', 'realos') ); ?></textarea>
                    <br/><br/>
                    <div class="help-box"><?php _e('This ad will be shown on top of the search results of your site. Note that the size of the ad has to be 728x90 pixels.', 'realos'); ?></div>
                </div>
            </div>
            <div class="form-row">
                <div class="form-label"><?php _e('Search results 728x90 (middle of the page)', 'realos'); ?></div>
                <div class="form-controls">
                    <textarea name="search-results-middle-728x90"><?php echo osc_esc_html( osc_get_preference('search-results-middle-728x90', 'realos') ); ?></textarea>
                    <br/><br/>
                    <div class="help-box"><?php _e('This ad will be shown among the search results of your site. Note that the size of the ad has to be 728x90 pixels.', 'realos'); ?></div>
                </div>
            </div>


            <div class="form-row">
                <div class="form-label"><?php _e('Single item 728x90 (middle of the page)', 'realos'); ?></div>
                <div class="form-controls">
                    <textarea name="item-page-middle-728x90"><?php echo osc_esc_html( osc_get_preference('item-page-middle-728x90', 'realos') ); ?></textarea>
                    <div class="help-box"><?php _e('This ad will be shown middle of single item at your site. Note that the size of the ad has to be 728x90 pixels.', 'realos'); ?></div>
                </div>
            </div>

            <div class="form-row">
                <div class="form-label"><?php _e('Sidebar 300x250', 'realos'); ?></div>
                <div class="form-controls">
                    <textarea style="height: 115px; width: 500px;" name="sidebar-300x250"><?php echo osc_esc_html( osc_get_preference('sidebar-300x250', 'realos') ); ?></textarea>
                    <br/><br/>
                    <div class="help-box"><?php _e('This ad will be shown at the right sidebar of your website, on the product detail page. Note that the size of the ad has to be 300x350 pixels.', 'realos'); ?></div>
                </div>
            </div>
        </div>
    </fieldset>

    <div class="form-actions">
        <input type="submit" value="<?php echo osc_esc_html(__('Save changes', 'realos')); ?>" class="btn btn-submit">
    </div>
</form>
<script>
  $(function(){
    var options = {
          map: ".map_canvas",
        };
    $("#geocomplete").geocomplete();
  });
</script>