<?php
     $category = __get("category");
     if(!isset($category['pk_i_id']) ) {
         $category['pk_i_id'] = null;
     }
?>
<div id="sidebar" class="col-md-3 col-sm-4 hidden-xs">
	
    <div class="widget filter">
    	<h3 class="widget-title"><?php _e('Filters', 'realos'); ?></h3>
        <div class="widget-content">
            <h5><?php _e('Category', 'realos'); ?></h5>
            <?php realos_sidebar_category_search($category['pk_i_id']); ?>
            <hr>
            <h5>Location</h5>
            <div class="form-group">
                <input type="text" name="sCity" id="sCity" placeholder="<?php echo osc_esc_html(__('Location or City', 'realos')); ?>">
                <input name="sRegion" id="sRegion" type="hidden" />
                <script type="text/javascript">
                    $(function() {
                        function log( message ) {
                            $( "<div/>" ).text( message ).prependTo( "#log" );
                            $( "#log" ).attr( "scrollTop", 0 );
                        } 
                        $( "#sCity" ).autocomplete({
                            source: "<?php echo osc_base_url(true); ?>?page=ajax&action=location",
                            minLength: 2,
                            select: function( event, ui ) {
                                $("#sRegion").attr("value", ui.item.region);
                                log( ui.item ?
                                "<?php echo osc_esc_js(__('Selected', 'realos')); ?>: " + ui.item.value + " aka " + ui.item.id :
                                "<?php echo osc_esc_js(__('Nothing selected, input was', 'realos')); ?> " + this.value );
                            }
                        });
                    });
                </script>
            </div>
            <hr>
            <form action="<?php echo osc_base_url(true); ?>" method="get" class="nocsrf">
            <input type="hidden" name="page" value="search"/>
            <input type="hidden" name="sOrder" value="<?php echo osc_search_order(); ?>" />
            <input type="hidden" name="iOrderType" value="<?php $allowedTypesForSorting = Search::getAllowedTypesForSorting() ; echo $allowedTypesForSorting[osc_search_order_type()]; ?>" />
            <?php foreach(osc_search_user() as $userId) { ?>
            <input type="hidden" name="sUser[]" value="<?php echo $userId; ?>"/>
            <?php } ?>

            <div class="plugin-hooks">
                <?php if(osc_search_category_id()) { ?>
                    <?php osc_run_hook('search_form', osc_search_category_id()); ?>
                    <hr>
                <?php } else { ?>
                    <?php osc_run_hook('search_form'); ?>
                    
                <?php } ?>
            </div>

            <?php if( osc_images_enabled_at_items() ) { ?>
            
            <div class="form-group">
                <div class="control checkbox" style="margin-top:0; margin-bottom:0;">
                    <label><input type="checkbox" name="bPic" id="withPicture" value="1" <?php echo (osc_search_has_pic() ? 'checked' : ''); ?> /> <?php _e('Listings with picture', 'realos'); ?></label>
                </div>
            </div>
            <?php } ?>

            <?php if( osc_price_enabled_at_items() ) { ?>
            <hr>
            <div class="form-group">
                <label><?php _e('Price', 'realos') ; ?></label>
                <div class="row">
                <div class="col-md-6 col-sm-6 col-xs-6">
                <input type="text" id="priceMin" name="sPriceMin" value="<?php echo osc_esc_html(osc_search_price_min()); ?>" maxlength="6" placeholder="<?php echo osc_esc_html(__('Min.', 'realos')); ?>" />
                </div>
                <div class="col-md-6 col-sm-6 col-xs-6">
                <input type="text" id="priceMax" name="sPriceMax" value="<?php echo osc_esc_html(osc_search_price_max()); ?>" maxlength="6" placeholder="<?php echo osc_esc_html(__('Max.', 'realos')); ?>" />
                </div>
                </div>
            </div>
            <?php } ?>
            <hr>
            <?php
            $aCategories = osc_search_category();
            foreach($aCategories as $cat_id) { ?>
                <input type="hidden" name="sCategory[]" value="<?php echo osc_esc_html($cat_id); ?>"/>
            <?php } ?>
            <div class="form-actions">
                <button type="submit" class="btn btn-primary btn-block"><?php _e('Apply', 'realos') ; ?></button>
            </div>
            </form>
        </div>
    </div>

    <?php if( osc_get_preference('sidebar-300x250', 'realos') != '') {?>
    <!-- sidebar ad 350x250 -->
    <div class="adslot sidebar_300 text-center">
        <?php echo osc_get_preference('sidebar-300x250', 'realos'); ?>
    </div>
    <!-- /sidebar ad 350x250 -->
    <?php } ?>
    
	<?php osc_alert_form(); ?>
</div>
<!--/Sidebar -->

<div id="filterModal" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><?php _e('Filters', 'realos') ; ?></h4>
            </div>
            <div class="modal-body">
            	<div id="sidebar" class="visible-xs">
					<form action="<?php echo osc_base_url(true); ?>" method="get" class="nocsrf">
				    <input type="hidden" name="page" value="search"/>
				    <input type="hidden" name="sOrder" value="<?php echo osc_search_order(); ?>" />
				    <input type="hidden" name="iOrderType" value="<?php $allowedTypesForSorting = Search::getAllowedTypesForSorting() ; echo $allowedTypesForSorting[osc_search_order_type()]; ?>" />
				    <?php foreach(osc_search_user() as $userId) { ?>
				    <input type="hidden" name="sUser[]" value="<?php echo $userId; ?>"/>
				    <?php } ?>
				    <div class="filter widget block">
				    	<fieldset>
				        	<div class="form-group">
				        		<?php realos_sidebar_category_search($category['pk_i_id']); ?>
				            </div>
				            <div class="form-group">
                                <h6><?php _e('City', 'realos'); ?></h6>
                                <div class="control">
                                    <input name="sCity" id="sCity" value="<?php echo osc_esc_html(Params::getParam('sCity')); ?>" placeholder="<?php echo osc_esc_html(__('Enter location', 'realos')); ?>" type="text" />
						              <input name="sRegion" id="sRegion" type="hidden" />
						              <script type="text/javascript">
						                  $(function() {
						                      function log( message ) {
						                          $( "<div/>" ).text( message ).prependTo( "#log" );
						                          $( "#log" ).attr( "scrollTop", 0 );
						                      } 
						                      $( "#sCity" ).autocomplete({
						                          source: "<?php echo osc_base_url(true); ?>?page=ajax&action=location",
						                          minLength: 2,
						                          select: function( event, ui ) {
						                              $("#sRegion").attr("value", ui.item.region);
						                              log( ui.item ?
						                                  "<?php echo osc_esc_js(__('Selected', 'realos')); ?>: " + ui.item.value + " aka " + ui.item.id :
						                                  "<?php echo osc_esc_js(__('Nothing selected, input was', 'realos')); ?> " + this.value );
						                          }
						                      });
						                  });
						              </script>
                                </div>
                            </div>
				            <?php if( osc_price_enabled_at_items() ) { ?>
				            <div class="form-group">
				            	<label><?php _e('Price', 'realos') ; ?></label>
				            	<div class="row">
				            	<div class="col-md-6 col-xs-6">
				                <input type="text" id="priceMin" name="sPriceMin" value="<?php echo osc_esc_html(osc_search_price_min()); ?>" maxlength="6" placeholder="<?php echo osc_esc_html(__('Min.', 'realos')); ?>" />
				                </div>
				                <div class="col-md-6 col-xs-6">
				                <input type="text" id="priceMax" name="sPriceMax" value="<?php echo osc_esc_html(osc_search_price_max()); ?>" maxlength="6" placeholder="<?php echo osc_esc_html(__('Max.', 'realos')); ?>" />
				                </div>
				                </div>
				            </div>
				            <?php } ?>
				            <?php if( osc_images_enabled_at_items() ) { ?>
                            <div class="form-group">
                                <div class="control checkbox" style="margin-top:0; margin-bottom:0;">
                                    <label><input type="checkbox" name="bPic" id="withPicture" value="1" <?php echo (osc_search_has_pic() ? 'checked' : ''); ?> /> <?php _e('Listings with picture', 'realos'); ?></label>
                                </div>
                            </div>
                            <?php } ?>
				        </fieldset>
				        <div class="plugin-hooks">
				            <?php
				            if(osc_search_category_id()) {
				                osc_run_hook('search_form', osc_search_category_id()) ;
				            } else {
				                osc_run_hook('search_form') ;
				            }
				            ?>
				        </div>
				        <?php
				        $aCategories = osc_search_category();
				        foreach($aCategories as $cat_id) { ?>
				            <input type="hidden" name="sCategory[]" value="<?php echo osc_esc_html($cat_id); ?>"/>
				        <?php } ?>
				        <div class="form-actions">
				        	<button type="submit" class="btn btn-primary btn-block"><?php _e('Apply', 'realos') ; ?></button>
				        </div>
				        </form>
				    </div>
				</div>
				<!--/Sidebar -->
            </div>
        </div>
    </div>
</div>
