<?php
// meta tag robots
osc_add_hook('header','realos_nofollow_construct');

osc_enqueue_script('jquery-validate');

realos_add_body_class('user user-profile');

osc_add_hook('left-sidebar','sidebar');
function sidebar(){
    osc_current_web_theme_path('user-sidebar.php');
}

osc_add_filter('meta_title_filter','custom_meta_title');
function custom_meta_title($data){
    return __('Change e-mail', 'realos');;
}

osc_current_web_theme_path('header.php') ;
$osc_user = osc_user();
?>
<div class="col-md-9 col-sm-8 col-xs-12">
	<h1 class="primary_title"><?php _e('Change e-mail', 'realos'); ?></h1>
    <div class="user-page userform">
    	<ul id="error_list"></ul>
    	<form id="change-email" action="<?php echo osc_base_url(true); ?>" class="form-horizontal" method="post">
            <input type="hidden" name="page" value="user" />
            <input type="hidden" name="action" value="change_email_post" />
            <div class="form-group">
                <label class="col-md-3 control-label" for="email"><?php _e('Current e-mail', 'realos'); ?></label>
                <div class="col-md-6 controls">
                    <input type="text" disabled="disabled" value="<?php echo osc_esc_html(osc_logged_user_email()); ?>" />
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-3 control-label" for="new_email"><?php _e('New e-mail', 'realos'); ?> <span class="red">*</span></label>
                <div class="col-md-6 controls">
                    <input type="text" name="new_email" id="new_email" value="" />
                </div>
            </div>
            <div class="form-action clearfix">
                <div class="col-md-offset-3 col-md-6 controls">
                    <button type="submit" class="btn btn-primary"><?php _e("Update", 'realos');?></button>
                </div>
            </div>
        </form>
    </div>
</div>
<script type="text/javascript">
    $(document).ready(function() {
        $('form#change-email').validate({
            rules: {
                new_email: {
                    required: true,
                    email: true
                }
            },
            messages: {
                new_email: {
                    required: '<?php echo osc_esc_js(__("Email: this field is required", "realos")); ?>.',
                    email: '<?php echo osc_esc_js(__("Invalid email address", "realos")); ?>.'
                }
            },
            errorLabelContainer: "#error_list",
            wrapper: "li",
            invalidHandler: function(form, validator) {
                $('html,body').animate({ scrollTop: $('h1').offset().top }, { duration: 250, easing: 'swing'});
            },
            submitHandler: function(form){
                $('button[type=submit], input[type=submit]').attr('disabled', 'disabled');
                form.submit();
            }
        });
    });
</script>
<?php osc_current_web_theme_path('footer.php') ; ?>