<?php
// meta tag robots
osc_add_hook('header','realos_follow_construct');

$address = '';
if(osc_user_address()!='') {
    if(osc_user_city_area()!='') {
        $address = osc_user_address().", ".osc_user_city_area();
    } else {
        $address = osc_user_address();
    }
} else {
    $address = osc_user_city_area();
}
$location_array = array();
if(trim(osc_user_city()." ".osc_user_zip())!='') {
    $location_array[] = trim(osc_user_city()." ".osc_user_zip());
}
if(osc_user_region()!='') {
    $location_array[] = osc_user_region();
}
if(osc_user_country()!='') {
    $location_array[] = osc_user_country();
}
$location = implode(", ", $location_array);
unset($location_array);

$listClass = 'listview';

osc_enqueue_script('jquery-validate');

realos_add_body_class('user-public-profile');

osc_add_hook('left-sidebar','sidebar');
function sidebar(){
    osc_current_web_theme_path('user-public-sidebar.php');
}

osc_current_web_theme_path('header.php');
//osc_prepare_user_info();
?>
<div class="col-md-9 col-sm-8">
    <?php if( osc_user_info() !== '' || osc_user_phone() != null || $location !== '' ) { ?>
    <div class="user-details">
        <div class="row">
            <?php if(function_exists('show_avatar')) { ?>
            <div class="col-md-3 col-sm-4">
                <?php show_avatar(osc_user_id());?>
            </div>
            <div class="col-md-9 col-sm-8">
            <?php } else {?>
            <div class="col-md-12">
            <?php } ?>
                <h2 style="margin-top: 0;" class="secondary_title"><?php echo osc_user_name(); ?></h2>
                <hr style="margin:10px 0;">
                <ul class="list-unstyled">
                    <?php if( $address !== '' ) { ?>
                    <li class="adress"><?php printf(__('<b>Address:</b> %1$s'), $address); ?></li>
                    <?php } ?>
                    <?php if( $location !== '' ) { ?>
                    <li class="location"><?php printf(__('<b>Location:</b> %1$s'), $location); ?></li>
                    <?php } ?>
                    <?php if (osc_user_phone() != null) { ?>
                    <li><?php printf( __('<b>Phone</b>: %s','realos'), osc_user_phone()); ?></li>
                    <?php } ?>
                    <?php if (osc_user_website() != null) { ?>
                    <li><?php printf( __('<b>Web</b>: %s','realos'), osc_user_website()); ?></li>
                    <?php } ?>
                </ul>
            </div>
            <?php if( osc_user_info() !== '' ) { ?>
            <div class="col-md-12">
                <p><?php echo nl2br(osc_user_info()); ?></p>
            </div>
            <?php } ?>
        </div>
    </div>
    <?php } ?>
    <?php if( osc_count_items() > 0 ) { ?>
        <div class="all-items block">
        <h2 class="secondary_title"><?php echo osc_user_name(); ?> <?php _e('Listings'); ?></h2>
        <div class="user-listings">
            <?php 
            View::newInstance()->_exportVariableToView("listClass",$listClass);
            osc_current_web_theme_path('loop.php'); ?>
            <div class="pagination"><?php echo osc_pagination_items(); ?></div>
        </div>
        </div>
    <?php } ?>
</div>

<?php osc_current_web_theme_path('footer.php') ; ?>